# QDomAttr Class Reference

### [com.trolltech.qt.xml package]

Inherits QDomNode.

### Constructor

- void QDomAttr()
- void QDomAttr(QDomAttr x)

### Constructor Properties

- prototype: The QDomAttr prototype object

### Prototype Object Properties

The QDomAttr prototype object inherits properties from the QDomNode prototype object and also has the following properties.

- String name()
- QDomElement ownerElement()
- void setValue(String arg__1)
- bool specified()
- String value()

### Instance Properties

QDomAttr objects have no special properties beyond those inherited from the QDomAttr prototype object.